<div class="card">
  <div class="card-header">
    <div class="row">
      <div class="col-md-6 col-8 col-sm-6  card-title">
        <i class="fa fa-list"></i>
        &nbsp;&nbsp;
        <span>لیست فرآیند ها</span>
      </div>
      <div class="col-md-6 col-4 col-sm-6 text-left">
        <!--/////دکمه افزودن-->
        <ng-container>
          <ng-container *ngIf=" token===TokenModel.Admin1;else notAccessCreateTemp">
            <button class="btn btn-secondary btn-sm" [routerLink]="'upsert'">
              <i class="fa fa-plus"></i>
              <span class="d-none d-sm-inline d-sm-inline">
                افزودن
              </span>
            </button>
          </ng-container>
          <ng-template #notAccessCreateTemp>
            <button style="cursor: not-allowed"
                    class="btn btn-secondary btn-sm">
              <i class="fa fa-plus"></i>
              <span class="d-none d-sm-inline d-sm-inline">
                &nbsp;&nbsp; افزودن
              </span>
            </button>
          </ng-template>
        </ng-container>
        <!--/////دکمه افزودن!!!!-->

      </div>
    </div>
  </div>
  <div class="card-body card-body-content">

    <ng-container>

      <!--/////////empety List ////////////////-->
      <div class="col-md -12" *ngIf="!entityList.length && !loading">
        <div class="text-center" style="color: #6d6d6e">
          <a *ngIf="entityList.length===0">هیچ اطلاعاتی یافت نشد!</a>
        </div>
      </div>
      <!--///////// Table ////////////////-->
      <ng-container *ngIf="entityList.length > 0&& !loading">
        <table class="table table-bordered table-responsive-md table-striped">
          <thead>
          <tr style="text-align: center">
            <th class="text-center" style="width: 5%">ردیف</th>
            <th class="text-center">عنوان </th>
            <th class="text-center">ویرایش</th>
            <th class="text-center">مشاهده پاسخ های داده شده</th>
            <th class="text-center">اجرای فرایند</th>
            <th class="text-center" >حذف</th>
          </tr>
          </thead>
          <ng-container *ngIf="entityList.length>0">
            <tbody>
            <ng-container *ngFor="let entity of entityList; let i = index">
              <tr class="text-center">
                <td>
                  {{i + 1}}
                </td>
                <td>

                  <ng-container *ngIf="entity?.title;else noDataTemp">
                    {{entity?.title}}
                  </ng-container>
                </td>


                <td>
                  <ng-container *ngIf=" token===TokenModel.Admin1||token===TokenModel.Admin2;else notEditAccessTemp">
                    <a class="btn btn-sm btn-outline-lightning rounded-0 mr-2"
                       (click)="chooseSelectedItemForEdit(entity)"
                       style="cursor: pointer ; font-weight: bold">
                      <i class="fa fa-edit" title="ویرایش"></i>
                    </a>
                  </ng-container>
                  <ng-template #notEditAccessTemp>
                    <i class="fa fa-edit" title="ویرایش" style="cursor: no-drop"></i>

                  </ng-template>
                </td>
                <td>
                  <a class="btn btn-sm btn-outline-lightning rounded-0 mr-2"
                     (click)="viewAnswerForProcess(entity)"
                     style="cursor: pointer ; font-weight: bold">
                    <i class="fa fa-eye" title="مشاهده پاسخ های داده شده"></i>
                  </a>
                </td>
                <td>
                  <a class="btn btn-sm btn-outline-lightning rounded-0 mr-2"
                     (click)="runProcess(entity.id)"
                     style="cursor: pointer ; font-weight: bold">
                    <i class="fa fa-reply" title="اجرای فرایند "></i>
                  </a>
                </td>

                <td>
                  <ng-container *ngIf="token===TokenModel.Admin1;else notDeleteAccessTemp">
                    <a class="btn btn-sm btn-outline-lightning rounded-0"
                       style="cursor: pointer"
                       (click)="deleteItem(entity,i)"
                    >
                      <i class="fa fa-trash" title="حذف"></i>
                    </a>
                  </ng-container>
                  <ng-template #notDeleteAccessTemp>
                    <i class="fa fa-trash" style="cursor: no-drop" title="حذف"></i>

                  </ng-template>

                </td>
              </tr>
            </ng-container>

            </tbody>
          </ng-container>
        </table>

      </ng-container>
    </ng-container>
  </div>
</div>

<ng-template #noDataTemp> ----</ng-template>

